BeanLayoutEditor (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.tools.beanbox
Class BeanLayoutEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          com.bbn.openmap.tools.beanbox.PropertyBeanEditor
              com.bbn.openmap.tools.beanbox.BeanLayoutEditor

All Implemented Interfaces:
  java.beans.PropertyEditor

    public class BeanLayoutEditor

extends PropertyBeanEditor

Custom property editor for the `BeanLayoutManager`property.

Constructor Summary
`BeanLayoutEditor()`

Method Summary
`java.awt.Component` | `getCustomEditor()` returns an instance of the `GenericPropertySheet` which serves as the custom editor component for the BeanLayoutManager property.

Methods inherited from class com.bbn.openmap.tools.beanbox.PropertyBeanEditor
`isPaintable, paintValue, supportsCustomEditor`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getAsText, getJavaInitializationString, getSource, getTags, getValue, removePropertyChangeListener, setAsText, setSource, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanLayoutEditor

    public BeanLayoutEditor()

Method Detail

### getCustomEditor

    public java.awt.Component getCustomEditor()

  returns an instance of the `GenericPropertySheet` which serves as the custom editor component for the BeanLayoutManager property.

  Specified by:
    `getCustomEditor` in interface `java.beans.PropertyEditor`
  Overrides:
    `getCustomEditor` in class `PropertyBeanEditor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details